#
# spec file for package structured-haskell-mode
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           structured-haskell-mode
Version:        1.1.0
Release:        lp150.1.19
Summary:        Structured editing Emacs mode for Haskell
License:        BSD-3-Clause AND GPL-3.0+
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-descriptive-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel

%description
Structured editing Emacs mode for Haskell.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%doc LICENSE
%{_bindir}/%{name}
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/elisp
%{_datadir}/%{name}-%{version}/elisp/shm-ast-documentation.el
%{_datadir}/%{name}-%{version}/elisp/shm-ast.el
%{_datadir}/%{name}-%{version}/elisp/shm-case-split.el
%{_datadir}/%{name}-%{version}/elisp/shm-constraint.el
%{_datadir}/%{name}-%{version}/elisp/shm-customizations.el
%{_datadir}/%{name}-%{version}/elisp/shm-debug.el
%{_datadir}/%{name}-%{version}/elisp/shm-edit-string.el
%{_datadir}/%{name}-%{version}/elisp/shm.el
%{_datadir}/%{name}-%{version}/elisp/shm-evaporate.el
%{_datadir}/%{name}-%{version}/elisp/shm-fold.el
%{_datadir}/%{name}-%{version}/elisp/shm-indent.el
%{_datadir}/%{name}-%{version}/elisp/shm-in.el
%{_datadir}/%{name}-%{version}/elisp/shm-insert-del.el
%{_datadir}/%{name}-%{version}/elisp/shm-languages.el
%{_datadir}/%{name}-%{version}/elisp/shm-layout.el
%{_datadir}/%{name}-%{version}/elisp/shm-macros.el
%{_datadir}/%{name}-%{version}/elisp/shm-manipulation.el
%{_datadir}/%{name}-%{version}/elisp/shm-nav.el
%{_datadir}/%{name}-%{version}/elisp/shm-node.el
%{_datadir}/%{name}-%{version}/elisp/shm-overlays.el
%{_datadir}/%{name}-%{version}/elisp/shm-simple-indent.el
%{_datadir}/%{name}-%{version}/elisp/shm-slot.el
%{_datadir}/%{name}-%{version}/elisp/shm-stack.el
%{_datadir}/%{name}-%{version}/elisp/shm-test.el
%{_datadir}/%{name}-%{version}/elisp/shm-tests.el
%{_datadir}/%{name}-%{version}/elisp/shm-type.el
%{_datadir}/%{name}-%{version}/elisp/shm-yank-kill.el

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Feb 13 2017 psimons@suse.com
- Update to version 1.1.0 with cabal2obs.
* Tue Jul 12 2016 psimons@suse.com
- Update to version 1.0.20 revision 0 with cabal2obs.
